For the complete documentation index, see llms.txt. This page is also available as Markdown.

Model Training and Prediction

APIs for model training and annotation predictions

Train Model

Train model

POST https://api.autogon.ai/api/v1/label/model/train/

Request Body

Name
Type
Description

model_type*

string

String constant of model_type. Supported types: 'small', 'medium','large'

project_id*

int

Project ID

model_load_name

string

Name of model to be loaded for retraining. Leave as null to train a fresh model

model_save_name

string

Name used to save the model to be trained

Make Predictions

Predict annotations

POST https://api.autogon.ai/api/v1/label/model/predict/

Request Body

Name
Type
Description

app_id*

int

Project's app ID

image_urls*

array

List of image urls for annotations prediction

confidence_thresh

float

Minimum confidence threshold to return

overlap_thresh

float

Minimum boundiing box overlap threshold

model_name*

string

Name of model to use for predicting

Last updated